' ============================================================================
' rssfeed.vbs v0.1 by www.QuietGuy.nl
' ============================================================================

' ======
' USAGE:
' ======

' 1) Copy rssfeed.vbs to your Samurize/scripts folder

' 2) Add an ActiveScript meter to your Samurize config with this script
'    selected and 'ShowRSSfeed' selected as the Function.

' 3) Specify the RSS-feed in 'RSSsource'

' 4) Specify the number of messages to show in 'MessageCount'

' ============================================================================

function ShowRSSfeed(RSSsource,MessageCount)
    Dim htmlcode,rsscode
    
    Set xmlHttp = CreateObject("MSXML2.ServerXMLHTTP")
    xmlHttp.Open "GET", RSSsource, False
    xmlHttp.SetRequestHeader "Content-type", "text/xml"
    xmlHttp.Send
    
    If (xmlHttp.Status = "200") Then
    	dim rss_item
    	rsscode=xmlHttp.ResponseText
    	
    	title=tussentags(rsscode,"title")
    	htmlcode = htmlcode & "RSS feed van " & title & "%b"
    	
    	channels=Split(rsscode, "<channel",-1, 1)
    	for channel_i = lbound(channels) to ubound(channels)
    		rss_items=Split(channels(channel_i), "<item",-1, 1)
    		for item_i = lbound(rss_items)+1 to ubound(rss_items)
    			count_i=count_i+1
    			if count_i <= int(MessageCount) then
    				rss_item=rss_items(item_i)
    			
    				title=tussentags(rss_item,"title")
    				link=tussentags(rss_item,"link")
    				htmlcode = htmlcode & title & "%b"
    			end if
    		next
    	next
    end if
    
	ShowRSSfeed=htmlcode
end function

private function tussentags(str, tag)
	tmp1=Split(str, "<"+tag,-1, 1)
	tmp2=right(tmp1(1),len(tmp1(1))-1)
	tmp3=Split(tmp2,"</"+tag,-1,1)
	tussentags=tmp3(0)
end function